Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.provider
Class ServiceLoader

    java.lang.Object
      cascading.provider.ProviderLoader<CascadingService>
          cascading.provider.ServiceLoader

    public class ServiceLoader

extends ProviderLoader<CascadingService>

Class ServiceLoader is an implementation of a `ProviderLoader` and is used to load `CascadingService` instances used by internal frameworks.

See Also:
  `CascadingService`

Method Summary
`static ServiceLoader` | `getInstance(URL libraryURL, String[] exclusions)`
`CascadingService` | `loadServiceFrom(Properties defaultProperties, Map<Object,Object> properties, String property)`
`CascadingService` | `loadSingletonServiceFrom(Properties defaultProperties, Map<Object,Object> properties, String property)`
`static void` | `releaseSingletonsAndDestroy()`
`Collection<CascadingService>` | `releaseSingletonServices()`

Methods inherited from class cascading.provider.ProviderLoader
`createProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ServiceLoader getInstance(URL libraryURL,
                                            String[] exclusions)

### releaseSingletonsAndDestroy

    public static void releaseSingletonsAndDestroy()

### loadSingletonServiceFrom

    public CascadingService loadSingletonServiceFrom(Properties defaultProperties,
                                                     Map<Object,Object> properties,
                                                     String property)

### releaseSingletonServices

    public Collection<CascadingService> releaseSingletonServices()

### loadServiceFrom

    public CascadingService loadServiceFrom(Properties defaultProperties,
                                            Map<Object,Object> properties,
                                            String property)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.